Bug 177618 - CVE-2006-0019 kjs encodeuri/decodeuri heap overflow vulnerability
Summary: CVE-2006-0019 kjs encodeuri/decodeuri heap overflow vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard: impact=critical,reported=20060110,pub...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-12 12:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0184
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 17:47:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0184 normal SHIPPED_LIVE Critical: kdelibs security update 2006-01-19 05:00:00 UTC

Description Mark J. Cox 2006-01-12 12:47:45 UTC
The KDE security team reported:

A heap overflow flaw was discovered affecting kjs, the Javascript
interpreter engine used by Konqueror and other parts of KDE. An attacker
who is able to execute javascript code could trigger this flaw potentially
leading to arbitrary code execution. The Common Vulnerabilities and
Exposures project assigned the name CAN-2006-0019 to this issue.

This issue does not affect RHEL2.1 or RHEL3

Embargoed until January 19th 2006

Comment 5 Red Hat Bugzilla 2006-01-19 17:47:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0184.html


Comment 6 Fedora Update System 2006-01-20 16:56:47 UTC
From User-Agent: XML-RPC

kdelibs-3.5.0-0.4.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.